Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Interface J2EEServerMBean

All Superinterfaces:
  J2EEManagedObjectMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  J2EEServer

public interface J2EEServerMBean
extends J2EEManagedObjectMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `addChild(javax.management.ObjectName pChild)`
`String` | `getdeployedObject(int pIndex)`
`String[]` | `getdeployedObjects()`
`String` | `getjavaVM(int pIndex)`
`String[]` | `getjavaVMs()`
`String` | `getresource(int pIndex)`
`String[]` | `getresources()`
`String` | `getserverVendor()`
`String` | `getserverVersion()`
`void` | `removeChild(javax.management.ObjectName pChild)`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getdeployedObjects

    public String[] getdeployedObjects()

### getdeployedObject

    public String getdeployedObject(int pIndex)

### getresources

    public String[] getresources()

### getresource

    public String getresource(int pIndex)

### getjavaVMs

    public String[] getjavaVMs()

### getjavaVM

    public String getjavaVM(int pIndex)

### getserverVendor

    public String getserverVendor()

### getserverVersion

    public String getserverVersion()

### addChild

    public void addChild(javax.management.ObjectName pChild)

  Specified by:
    `addChild` in interface `J2EEManagedObjectMBean`

### removeChild

    public void removeChild(javax.management.ObjectName pChild)

  Specified by:
    `removeChild` in interface `J2EEManagedObjectMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.